Loading...
Searching...
No Matches
casacore::FFTW::Plan Class Reference

`#include <FFTW.h>`

## Public Member Functions

| ~Plan () noexcept
| Plan (const Plan &)=delete
| Plan (Plan &&)
Plan & | operator= (const Plan &)=delete
Plan & | operator= (Plan &&)
void | Execute (float *in, float *out)
| Perform the FFT associated with this plan with the given in data, and store it in the given out data.
void | Execute (double *in, double *out)

## Private Member Functions

| Plan (FFTWPlan *plan)
| Plan (FFTWPlanf *plan)

## Private Attributes

friend | FFTW
std::unique_ptr< FFTWPlan > | _plan
std::unique_ptr< FFTWPlanf > | _planf

## Detailed Description

Definition at line 81 of file FFTW.h.

## Constructor & Destructor Documentation

## ~Plan()

casacore::FFTW::Plan::~Plan | ( |  | ) |

noexcept

## Plan() [1/4]

casacore::FFTW::Plan::Plan | ( | const Plan & |  | ) |

delete

References Plan().

Referenced by operator=(), operator=(), Plan(), Plan(), Plan(), and Plan().

## Plan() [2/4]

casacore::FFTW::Plan::Plan | ( | Plan && |  | ) |

References Plan().

## Plan() [3/4]

casacore::FFTW::Plan::Plan | ( | FFTWPlan * | plan | ) |

private

References Plan().

## Plan() [4/4]

casacore::FFTW::Plan::Plan | ( | FFTWPlanf * | plan | ) |

private

References Plan().

## Member Function Documentation

## Execute() [1/2]

void casacore::FFTW::Plan::Execute | ( | double * | in,
|  | double * | out )

References Execute().

## Execute() [2/2]

void casacore::FFTW::Plan::Execute | ( | float * | in,
|  | float * | out )

Perform the FFT associated with this plan with the given in data, and store it in the given out data.

References Execute().

Referenced by Execute(), and Execute().

## operator=() [1/2]

Plan & casacore::FFTW::Plan::operator= | ( | const Plan & |  | ) |

delete

References Plan().

## operator=() [2/2]

Plan & casacore::FFTW::Plan::operator= | ( | Plan && |  | ) |

References Plan().

## Member Data Documentation

## _plan

std::unique_ptr<FFTWPlan> casacore::FFTW::Plan::_plan

private

Definition at line 100 of file FFTW.h.

## _planf

std::unique_ptr<FFTWPlanf> casacore::FFTW::Plan::_planf

private

Definition at line 101 of file FFTW.h.

## FFTW

friend casacore::FFTW::Plan::FFTW

private

Definition at line 97 of file FFTW.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/FFTW.h